<?php
require_once( PALOOSE_LIB_DIRECTORY . "/environment/Utilities.php" );
require_once( PALOOSE_LIB_DIRECTORY . "/pipelines/PipeElement.php" );
require_once( PALOOSE_LIB_DIRECTORY . "/pipelines/PipeElementInterface.php" );
require_once( PALOOSE_LIB_DIRECTORY . "/serialization/OutputStream.php" );
 
class SerializerPipeElement extends PipeElement implements PipeElementInterface
{
       
   
   
   
    
   public function __construct( DOMDocument $inDOM, $inType = "", $inSrc = "", $inComponent = NULL )
   {
      parent::__construct( $inDOM, $inType, $inSrc, $inComponent );
      $this->gGenericType = PipeElement::SERIALIZER;
      $this->gType = $inType;
      $this->gComponent = $inComponent;
   }
   
   
   
   public function run( VariableStack $inVariableStack, $inURL, $inQueryString, DOMDocument $inDOM )
   {
      return $inDOM;
   }
   
   
   
   
   public function toString()
   {
      return parent::toStringWithType( $this->gGenericType );
   }
}
?>
