<?php
require_once( PALOOSE_LIB_DIRECTORY . "/environment/Utilities.php" );
require_once( PALOOSE_LIB_DIRECTORY . "/environment/Environment.php" );
 
 class Modules {
      
   
   
   protected $gParams;
   
   private $gModuleName;
   
   
   
   public function __construct( $inName )
   {
      $this->gParams = array();
      $this->setName( $inName );
   }
   
   
   
   
    
   public function setName( $inName )
   {
      $this->gModuleName = $inName;
   }   
   
   
   
    
   public function getName()
   {
      return $this->gModuleName;
   }   
   
   
   
    
   public function add( $inName, $inValue )
   {
      $this->gParams[ $inName ] = $inValue;
   }   
   
   
   
    
   public function get( $inName )
   {
      if ( array_key_exists( $inName, $this->gParams ) ) {
         return $this->gParams[ $inName ];
      }
      return "";
   }   
   
   
   
    
   public function getParams()
   {
      return $this->gParams;
   }   
   
   
   
    
   public function clear()
   {
      $this->gParams = array();
   }   
   
   
   
    
   public function getHash()
   {
      return md5( $this->toString() );
   }
   
   
   
    
   public function toString()
   {
      $mess = "";
      foreach ( $this->gParams as $name => $value ) {
         $mess .= "'" . $name . "' : '" . $value . "'\n";
      }
      return $mess;
   }   
}
?>
