<?php
require_once( PALOOSE_LIB_DIRECTORY . "/environment/Modules.php" );
require_once( PALOOSE_LIB_DIRECTORY . "/environment/Utilities.php" );
require_once( PALOOSE_LIB_DIRECTORY . "/environment/Environment.php" );
 
 class RequestParameterModule extends Modules {
      
   
   
   
   
   public function __construct( $inName )
   {
      parent::__construct( $inName );
   }
   
   
   
   
    
    public function parseQuery( $inQueryString )
    {
      $this->gParams = array();
      $numberOfPostParameters = count( $_POST );
      foreach ( $_POST as $name => $value ) {
         
         
         if ( is_array( $value ) ) {
            $this->gParams[ $name ] = "";
            foreach ( $value as $str ) {
               $str = utf8_encode( $str );
               $str = html_entity_decode( $str, ENT_COMPAT, 'UTF-8' );
               $str = str_replace( "'", "&apos;", $str );
               $this->gParams[ $name ] .= $str . ",";
            }
            
            $this->gParams[ $name ] = trim( $this->gParams[ $name ], "," );
         } else {
             
            $value = utf8_encode( $value );
            $value = html_entity_decode( $value, ENT_COMPAT, 'UTF-8' );
            $value = str_replace( "'", "&apos;", $value );
            if ( array_key_exists( $name, $this->gParams ) ) {
               $this->gParams[ $name ] .= "," . $value;
            } else {
               $this->gParams[ $name ] = $value;
            }
         }
      }
      if ( strlen( $inQueryString ) > 1 ) {
         $pairs = explode( "&", $inQueryString );
         if ( empty( $pairs ) ) return; 
         foreach ( $pairs as $pair ) {
            list( $name, $value ) = explode( "=", $pair );
            
            if ( $name == "url" ) $name = "__" . $name;
            if ( array_key_exists( $name, $this->gParams ) ) {
               $this->gParams[ $name ] .= "," . $value;
            } else {
               $this->gParams[ $name ] = $value;
            }
         }
      }
      foreach ( $this->gParams as $name => $value ) {
      }
   }
 }
?>
